angular.module('agendaweb',['ngRoute','ui.router','pageslide-directive','ngResource','ui.bootstrap',
  'ui.calendar',
	'colorpicker.module','ui-notification',
	'datatables','ngMessages','angularUtils.directives.dirPagination','flow','ui.mask','ui.utils.masks'])
	
.constant("URL_SERVER", "https://gestaosaude.mcinfor-saude.net.br")
//.constant("URL_SERVER", "http://localhost:3001")
.factory('BearerAuthInterceptor', function ($window, $q) {
    return {
        request: function(config) {
            config.headers = config.headers || {};
			if (localStorage.getItem('token')) {
              // may also use sessionStorage
                config.headers.Authorization = 'Bearer '+localStorage.getItem('token');
            }
            return config || $q.when(config);
        },
        response: function(response) {
            if (response.status === 401) {
                //  Redirect user to login page / signup Page.
            }
            return response || $q.when(response);
        }
    };
})
.config(function($urlRouterProvider, $stateProvider,$httpProvider,NotificationProvider){
		NotificationProvider.setOptions({
				positionY: 'bottom'
		});
		$httpProvider.interceptors.push('BearerAuthInterceptor');
		
		$stateProvider.state('cadastronovo',{
			url : '/cadastronovo/:empresa',
			templateUrl : '/views/cadastros/pacientesautoage.html',
			controller :'PacientesAutoAgeController'
		})

		
})

.controller('mainCtrl',
	['$scope','$state','$rootScope', '$resource','$timeout', 'Notification','URL_SERVER',
		function($scope,$state,$rootScope,$resource,$timeout, $window, Notification,URL_SERVER) {
		
		$scope.empresaselecionada = localStorage.getItem('empresaselecionada');
		
		$scope.usuariologado = {};
		$scope.psOpen = true;	
		$scope.toggle = function(){
			if($scope.psOpen == true){
				$scope.psOpen = false;
			}else{
				$scope.psOpen = true;
			} 
		}
			
		$scope.tab = 0;
		$scope.changeTab = function(tab){
	 		$scope.tab = tab;
	 	}


		$scope.formats = ['dd/MM/yyyy', 'yyyy/MM/dd', 'dd.MM.yyyy', 'shortDate'];
		$scope.format = $scope.formats[0];
			

	 
		$scope.$on('$stateChangeStart',
        	function(event, toState, toParams, fromState, fromParams){
        		//$scope.psOpen = false;
					$scope.state = toState.name;
					
	    		$scope.parametros = toParams;
	    		$rootScope.subtitulo = '';
	    		$scope.psOpen = false;
					
					$resource('/pacientelogado').get('',function(retorno){
	    			if (retorno.usuario == undefined){
	    			//if(retorno == undefined || retorno == ''){
	    				document.location.replace('/login/2');
	    			}else{

						$rootScope.$emit('carregouUsuario', retorno);

	    				$scope.usuariologado = retorno;
					
					}
	    		})

     	});

		$scope.resetform = function(nomeform,$scope){
		 		$scope[nomeform].$setPristine();
		        $scope[nomeform].$setUntouched();
		        $scope.attempted = false;
		}

		$scope.isDate = function(val) {
		    var d = new Date(val);
		    return !isNaN(d.valueOf());
		}

		$scope.trataretorno=function(retorno){

			angular.forEach(retorno,function(valor,campo){

       			if ( typeof valor=='string'){
       		 		if($scope.isDate(valor.trim())  && (valor.trim().indexOf('/') >= 0 || valor.trim().indexOf('-') >= 0) ){
									if(valor.trim().length == 10) {
										retorno[campo]=$scope.toUTCDate(new Date(valor.trim()));
									} else {
									
										retorno[campo]=valor.trim();	
									
									}

								//
									
       		 		}else{
       		 			retorno[campo]=valor.trim();	
       		 		}
       		 	}

     		 });
     		 return retorno;	
		}	


		$scope.toUTCDate = function(date){
			var _utc = new Date(date.getUTCFullYear(), date.getUTCMonth(), date.getUTCDate(),  date.getUTCHours(), date.getUTCMinutes(), date.getUTCSeconds());
			return _utc;
		}
		
		$scope.dateOptions = {
		//	dateDisabled: disabled,
			formatYear: 'yy',
			maxDate: new Date(2020, 5, 22),
			minDate: new Date(),
			startingDay: 1,
			showWeeks: false
		};

		$scope.format = 'dd/MM/yyyy';
		$scope.altInputFormats = ['M!/d!/yyyy'];
		$scope.hstep = 1;
		$scope.mstep = 1;
		$scope.ismeridian = false;

		
	

			  
}]);
